> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/tossauth/tossauth.isintegrated.md).

# TossAuth.isIntegrated

> 함수형 API `getIsTossLoginIntegratedService`으로도 같은 기능을 쓸 수 있어요.

### 기능 설명

유저가 토스 로그인을 연동했는지 여부를 확인해요. 기존 토스 로그인 사용자를 찾아서 게임 식별자로 전환하는 마이그레이션 등에 사용할 수 있어요.

토스앱 Android/iOS `5.237.0` 이상에서 사용할 수 있어요. 미지원 버전에서 호출하면 `UNSUPPORTED_APP_VERSION` 에러가 발생해요.

토스 로그인을 사용하지 않는 미니앱에서 호출하면 `"oauth2ClientId 설정이 필요합니다."` 메시지의 에러가 발생해요.

### 타입

```ts
TossAuth.isIntegrated(): Promise<boolean>;
```

**Params**

없음

**Response**

연동돼 있으면 `true`, 아니면 `false`를 반환해요.

### 에러 코드

에러 코드는 catch한 에러의 `error.code` 값이에요.

| 코드                        | 설명                                                                                                                                      |
| ------------------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| `UNSUPPORTED_APP_VERSION` | 실행 중인 토스앱 버전이 이 기능을 지원하지 않으면 호출 즉시 발생해요. `TossAuth.isIntegrated.isSupported()`로 사전 확인하고, 발생 시 `error.message`(업데이트 안내 문구)를 사용자에게 보여주세요. |

### 예시 코드

```js
import { TossAuth } from "@apps-in-toss/web-framework";

const button = document.querySelector("#check-integration-button");

button.addEventListener("click", async () => {
  try {
    const result = await TossAuth.isIntegrated();

    if (result === true) {
      console.log("토스 로그인이 연동된 유저에요.");
    } else {
      console.log("토스 로그인이 연동되지 않은 유저에요.");
    }
  } catch (error) {
    console.error(error);
  }
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/tossauth/tossauth.isintegrated.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
